This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 677452 - util-linux fails to build with gettext-0.17
util-linux fails to build with gettext-0.17
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: util-linux (Show other bugs)
5.6
Unspecified Linux
urgent Severity urgent
: rc
: ---
Assigned To: Karel Zak
qe-baseos-daemons
: Patch, Regression
Depends On:
Blocks: 646300 858009
  Show dependency treegraph
 
Reported: 2011-02-14 16:11 EST by Jeff Bastian
Modified: 2012-09-17 14:32 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-02-20 22:20:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch to fix po/Makefile.in.in (3.57 KB, patch)
2011-02-14 16:42 EST, Jeff Bastian
no flags Details | Diff

  None (edit)
Description Jeff Bastian 2011-02-14 16:11:53 EST
Description of problem:
util-linux-2.13-0.56.el5 fails to build on RHEL 5.  It fails in the po directory:
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
...
make[1]: Entering directory `/builddir/build/BUILD/util-linux-2.13-pre7/po'
/bin/sh @MKINSTALLDIRS@ /var/tmp/util-linux-root/usr/share
/bin/sh: @MKINSTALLDIRS@: No such file or directory
make[1]: *** [install-data-yes] Error 127
make[1]: Leaving directory `/builddir/build/BUILD/util-linux-2.13-pre7/po'
make: *** [install-recursive] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.80077 (%install)
RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.80077 (%install)
Child returncode was: 1
~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

I'm not yet sure what changed to break this in RHEL 5.


Version-Release number of selected component (if applicable):
util-linux-2.13-0.56.el5

How reproducible:
every time

Steps to Reproduce:
1. rebuild util-linux-2.13-0.56.el5 from source rpm
  
Actual results:
fails with "@MKINSTALLDIRS@: No such file or directory" error in po directory

Expected results:
successful build of util-linux

Additional info:
This looks similar to Fedora bug 217186.  That bug was fixed with this commit:
http://pkgs.fedoraproject.org/gitweb/?p=util-linux.git;a=commit;h=ba0ee667da3eafad57fbe0c22e1c59cc262634f7
Comment 1 Jeff Bastian 2011-02-14 16:23:11 EST
Hmm, this might be due to the rebase to gettext-0.17-1.el5 in RHEL 5.6, see bug 523713.  (It was gettext-0.14.6-4.el5 in RHEL 5.5)
Comment 2 Jeff Bastian 2011-02-14 16:42:48 EST
Created attachment 478718 [details]
patch to fix po/Makefile.in.in

The patch from Fedora works beautifully.  I was able to successfully build util-linux-2.13-0.56.el5.bz677452 with this patch.

http://pkgs.fedoraproject.org/gitweb/?p=util-linux.git;a=blob;f=util-linux-2.13-mkdir_p.patch;h=eb8ed156d34536d331d33f54f0052464b1031854;hb=ba0ee667da3eafad57fbe0c22e1c59cc262634f7
Comment 4 Ludek Smid 2011-06-20 11:31:13 EDT
This request was evaluated by Red Hat Product Management for inclusion in Red Hat Enterprise Linux 5.7 and Red Hat does not plan to fix this issue the currently developed update.

Contact your manager or support representative in case you need to escalate this bug.
Comment 5 Karel Zak 2011-08-17 05:01:45 EDT
It seems that it should be enough to add 

  %build
  autoreconf -i

to the spec file, see https://bugzilla.redhat.com/show_bug.cgi?id=523713#c44
Comment 11 errata-xmlrpc 2012-02-20 22:20:13 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2012-0307.html

Note You need to log in before you can comment on or make changes to this bug.